Channels
Connect an explicitly selected Facebook Page
POST
sessionCookiecookie
better-auth.session_token<token>The Better Auth email/password session cookie used by the web application.
projectId*stringLength
1 <= lengthchannelId*stringLength
1 <= length- body
selection*stringLength
32 <= length <= 512pageId*stringMatch
^[1-9][0-9]*$after?stringLength
1 <= length <= 2048Response for status 200
application/json- response
connection*curl -X POST 'https://postbot.example/api/projects/string/channels/string/publisher/facebook/select' \
-H 'Content-Type: application/json' \
-d '{
"selection": "stringstringstringstringstringst",
"pageId": "string"
}'Example Response
{
"connection": {
"id": "string",
"projectId": "string",
"publisherId": "string",
"channelId": "string",
"kind": "string",
"credentialId": "string",
"endpointUrl": "string",
"destination": {
"type": "account",
"id": "string",
"name": "string"
},
"authentication": {
"kind": "none"
},
"providerId": "string",
"externalAccountId": "string",
"externalAccountName": "string",
"scopes": [
"string"
],
"state": "active",
"connectedByActorId": "string",
"createdAt": 0,
"updatedAt": 0
}
}